## plasma5support 6.4.5

=== src/declarativeimports/CMakeLists.txt ===

ecm_add_qml_module(plasma5supportplugin URI "org.kde.plasma.plasma5support" VERSION 2.0 DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)

target_sources(plasma5supportplugin PRIVATE
    datamodel.cpp
    datasource.cpp
    serviceoperationstatus.cpp
    types.h
    )


target_link_libraries(plasma5supportplugin PRIVATE
        Qt::Quick
        Qt::Qml
        KF6::ConfigCore
        KF6::I18n
        Plasma::Plasma5Support
        KF6::CoreAddons
)

ecm_finalize_qml_module(plasma5supportplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/dataengines/apps/CMakeLists.txt ===
set(apps_engine_SRCS
    appsengine.cpp
    appsource.cpp
    appservice.cpp
    appjob.cpp
    appsengine.h
    appsource.h
    appservice.h
    appjob.h
)

add_library(plasma_engine_apps MODULE ${apps_engine_SRCS})

target_link_libraries(plasma_engine_apps
    Plasma::Plasma5Support
    KF6::Service
    KF6::KIOCore
    KF6::KIOWidgets
)

install(TARGETS plasma_engine_apps DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)
install(FILES apps.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== src/dataengines/hotplug/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_hotplug\")

set(hotplug_engine_SRCS
    deviceserviceaction.cpp
    hotplugengine.cpp
    hotplugservice.cpp
    hotplugjob.cpp
    deviceserviceaction.h
    hotplugengine.h
    hotplugservice.h
    hotplugjob.h
)

kcoreaddons_add_plugin(plasma_engine_hotplug SOURCES ${hotplug_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_link_libraries(plasma_engine_hotplug
    KF6::CoreAddons
    KF6::Solid
    KF6::Service
    KF6::KIOCore
    KF6::KIOGui # KIO::CommandLauncherJob
    KF6::JobWidgets # KNotificationJobUiDelegate
    KF6::Notifications
    KF6::I18n
    Plasma::Plasma5Support
)

install(FILES hotplug.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== debian/changelog ===
plasma5support (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:33:57 +0100

plasma5support (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:26 +0100

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.5~),
               libplasmaactivities-dev (>= 6.4.5~),
               libx11-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Rules-Requires-Root: no

Package: libplasma-geolocation-interface6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.

Package: libplasma-geolocation-interface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: plasma-workspace-dev (<< 4:6.2.90~),
Replaces: plasma-workspace-dev (<< 4:6.2.90~),
Description: development files for the Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.
 .
 This package contains development files for building software that
 uses the Plasma geolocation library.

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.90~),
Replaces: plasma-workspace-data (<< 4:6.2.90~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

## plasma5support 6.4.90+p24.04+vstable+git20251003.1131

=== debian/changelog ===
plasma5support (6.4.90+p24.04+vstable+git20251003.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:31:17 +0000

plasma5support (6.4.90-0neon) noble; urgency=medium

  * Point release to resolve file clashes

 -- Neon CI <neon@kde.org>  Tue, 23 Sep 2025 06:32:37 +0300

plasma5support (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:53:34 +0000

plasma5support (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:34:53 +0000

## plasma5support 6.4.90+p24.04+vstable+git20251004.0531

=== debian/changelog ===
plasma5support (6.4.90+p24.04+vstable+git20251004.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:31:33 +0000

## plasma5support 6.4.91

=== src/dataengines/activities/CMakeLists.txt ===
set(activity_engine_SRCS
        ActivityData.cpp
        activityengine.cpp
        activityservice.cpp
        activityjob.cpp)

set_source_files_properties(org.kde.ActivityManager.ActivityRanking.xml PROPERTIES INCLUDE "ActivityData.h")
qt_add_dbus_interface(
   activity_engine_SRCS org.kde.ActivityManager.ActivityRanking.xml
   ActivityRankingInterface
   )

add_library(plasma_engine_activities MODULE ${activity_engine_SRCS})
target_link_libraries(plasma_engine_activities
                      KF6::CoreAddons
                      Plasma::Plasma5Support
                      Plasma::Activities
                      KF6::I18n
                      KF6::Service
                      Qt::DBus
                      Qt::Widgets
                      )

install(TARGETS plasma_engine_activities
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

install(FILES activities.operations
        DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== debian/changelog ===
plasma5support (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add binary packages for new libweather-ion library.
  * Bump breaks / replaces against plasma-workspace after more files
    moved to plasma5support.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,47 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6guiaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6idletime-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6networkmanagerqt-dev (>= 6.14.0~),
-               libkf6notifications-dev (>= 6.14.0~),
-               libkf6service-dev (>= 6.14.0~),
-               libkf6solid-dev (>= 6.14.0~),
-               libksysguard-dev (>= 4:6.4.5~),
-               libplasmaactivities-dev (>= 6.4.5~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6config-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6guiaddons-dev (>= 6.2.0~),
+               libkf6holidays-dev,
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6idletime-dev,
+               libkf6kio-dev,
+               libkf6networkmanagerqt-dev,
+               libkf6notifications-dev (>= 6.2.0~),
+               libkf6service-dev,
+               libkf6solid-dev (>= 6.2.0~),
+               libkf6unitconversion-dev,
+               libksysguard-dev (>= 4:6.4.91~),
+               libplasmaactivities-dev,
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.0~),
+               qt6-base-private-dev,
+               qt6-declarative-dev (>= 6.9.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
 Rules-Requires-Root: no
 
 Package: libplasma-geolocation-interface6
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: plasma-workspace (<< 4:6.2.90~),
 Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: Plasma geolocation library
@@ -67,8 +70,8 @@
 Depends: libplasma5support-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.2.90~),
-Replaces: plasma-workspace (<< 4:6.2.90~),
+Breaks: plasma-workspace (<< 4:6.4.90~),
+Replaces: plasma-workspace (<< 4:6.4.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
@@ -79,8 +82,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: plasma-workspace-data (<< 4:6.2.90~),
-Replaces: plasma-workspace-data (<< 4:6.2.90~),
+Breaks: plasma-workspace-data (<< 4:6.4.90~),
+Replaces: plasma-workspace-data (<< 4:6.4.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
@@ -97,6 +100,28 @@
  .
  This package contains the development files for the shared library.
 
+Package: libweather-ion-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libweather-ion7 (= ${binary:Version}),
+         ${misc:Depends},
+Description: weather data from multiple sources - development files
+ Library to get online weather data from multiple sources.
+ .
+ This package contains the development files for the shared library.
+
+Package: libweather-ion7
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: weather data from multiple sources
+ Library to get online weather data from multiple sources.
+ .
+ This package contains the shared library.
+
 Package: qml6-module-org-kde-plasma-plasma5support
 Section: libs
 Architecture: any

## plasma5support 6.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(PROJECT_VERSION "6.5.0")
project(Plasma5Support VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.5.0")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMSetupQtPluginMacroNames)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA5SUPPORT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
                  SOVERSION 6)

add_definitions(-DQT_NO_FOREACH)
################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets Gui)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
        Config
        CoreAddons
        GuiAddons
        I18n
        Notifications
        Solid
        Service
        IdleTime
        KIO
        UnitConversion #Weather dataengine
        Holidays #Weather dataengine
)

find_package(KSysGuard CONFIG) #devicenotifications
find_package(KF6NetworkManagerQt) #geolocation
find_package(PlasmaActivities) #activites

option(WITH_X11 "Build mouse data engine with X11 support." ON)
if(WITH_X11)
    find_package(X11 REQUIRED) #mouse
endif()

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # must port away from qmlRegisterInterface before upgrading this to 050f00
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)

#########################################################################

include(Plasma5SupportMacros.cmake)

option(BUILD_COVERAGE "Build Plasma5Support Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma5support_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################

add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED)
    add_subdirectory(autotests)
endif()

################ create Plasma5SupportConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma5Support")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma5Support_QCH
        FILE Plasma5SupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/Plasma5SupportQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT Plasma5SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE Plasma5SupportTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma5Support COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/dataengines/weather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_weather\")
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x50f02)

add_subdirectory(ions)

set(weather_SRCS weatherengine.cpp weatherengine.h)
ecm_qt_declare_logging_category(weather_SRCS
    HEADER weatherenginedebug.h
    IDENTIFIER WEATHER
    CATEGORY_NAME kde.dataengine.weather
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine weather engine"
    EXPORT PLASMAWORKSPACE
)

kcoreaddons_add_plugin(plasma_engine_weather SOURCES ${weather_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_compile_definitions(plasma_engine_weather PRIVATE -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # needed for QNetworkConfigurationManager

target_link_libraries (plasma_engine_weather
            KF6::KIOCore
            KF6::Solid
            Plasma::Plasma5Support
            KF6::Service
            Qt::Network
            weather_ion)

=== debian/changelog ===
plasma5support (6.5.0-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:32:47 +0000

plasma5support (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:51:24 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kunitconversion-dev,
               kf6-kxmlgui-dev,
               kf6-networkmanager-qt-dev,
               libksysguard-dev,
               libplasma-dev,
               libxfixes-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma5support.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma5support
Maintainer: Neon CI <neon@kde.org>

Package: plasma5support
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:6.4.90)
Replaces: kf6-plasma5support, plasma-workspace (<< 4:6.4.90)
Description: Migration aids for KF5 -> KF6 migration contains:
 Dataengine support is not in the kf6 version of plasma anymore. Dataengines
 should be migrated to QML imports, but in the meantime remaining engines can
 use the dataengine implementation here

Package: plasma5support-dev
Architecture: any
X-Neon-MergedPackage: true
Section: libdevel
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kservice-dev,
         libxfixes-dev,
         plasma5support (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: plasma-workspace-dev (<< 4:6.4.90)
Replaces: kf6-plasma5support-dev, plasma-workspace-dev (<< 4:6.4.90)
Description: development files for the migration aids for KF5 -> KF6 migration.
 Contains development files for libplasma5support.

Package: kf6-plasma5support
Architecture: all
Depends: plasma5support, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma5support-dev
Architecture: all
Depends: plasma5support-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma5support 6.5.0+p24.04+vstable+git20251028.1213

=== debian/changelog ===
plasma5support (6.5.0+p24.04+vstable+git20251028.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:13:08 +0000

## plasma5support 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/dataengines/devicenotifications/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_devicenotifications\")

set(device_notifications_engine_SRCS
    devicenotificationsengine.cpp
    ksolidnotify.cpp
    devicenotificationsengine.h
    ksolidnotify.h
)

add_library(plasma_engine_devicenotifications MODULE ${device_notifications_engine_SRCS})

target_link_libraries(plasma_engine_devicenotifications
    KF6::I18n
    KF6::Notifications
    KF6::Solid
    KSysGuard::ProcessCore
    Plasma::Plasma5Support
)

install(TARGETS plasma_engine_devicenotifications DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

=== src/dataengines/weather/ions/CMakeLists.txt ===
# the Ion shared library
set (ionlib_SRCS ion.cpp)
ecm_qt_declare_logging_category(ionlib_SRCS
    HEADER iondebug.h
    IDENTIFIER IONENGINE
    CATEGORY_NAME kde.dataengine.ion
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine ion lib"
    EXPORT PLASMAWORKSPACE
)

add_library (weather_ion SHARED ${ionlib_SRCS})
generate_export_header(weather_ion BASE_NAME ion)
target_link_libraries (weather_ion
    PRIVATE
        KF6::I18n
        KF6::Holidays
    PUBLIC
        Qt::Core
        Plasma::Plasma5Support
)

set_target_properties(weather_ion PROPERTIES
   VERSION 7.0.0
   SOVERSION 7
)

install (TARGETS weather_ion EXPORT kdeworkspaceLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install (FILES ion.h
               ${CMAKE_CURRENT_BINARY_DIR}/ion_export.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/plasma5support/weather COMPONENT Devel)

# install (FILES includes/Ion
#          DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KDE/Plasma/Weather COMPONENT Devel)

# the individual ion plugins
add_subdirectory(bbcukmet)
add_subdirectory(envcan)
add_subdirectory(noaa)
add_subdirectory(wetter.com)
add_subdirectory(dwd)

=== src/dataengines/weather/ions/noaa/CMakeLists.txt ===
set (ion_noaa_SRCS ion_noaa.cpp ion_noaa.h)
ecm_qt_declare_logging_category(ion_noaa_SRCS
    HEADER ion_noaadebug.h
    IDENTIFIER IONENGINE_NOAA
    CATEGORY_NAME kde.dataengine.ion.noaa
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine ion noaa"
    EXPORT PLASMAWORKSPACE
)
add_library(plasma_engine_noaa MODULE ${ion_noaa_SRCS})
target_link_libraries (plasma_engine_noaa
    weather_ion
    KF6::KIOCore
    KF6::UnitConversion
    KF6::I18n
)

install (TARGETS plasma_engine_noaa DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)
install (FILES noaa_station_list.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma/weather_legacy)

=== debian/changelog ===
plasma5support (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:09 +0000

plasma5support (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build depends.
  * Add libweather-ion7 package.
  * Bump break/replaces on plasma-workspace packages to 6.5.0~

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:57 +0100

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.1~),
               libplasmaactivities-dev (>= 6.5.1~),
               libx11-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support

Package: libplasma-geolocation-interface6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.

Package: libplasma-geolocation-interface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: plasma-workspace-dev (<< 4:6.2.90~),
Replaces: plasma-workspace-dev (<< 4:6.2.90~),
Description: development files for the Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.
 .
 This package contains development files for building software that
 uses the Plasma geolocation library.

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.5.0~),
Replaces: plasma-workspace (<< 4:6.5.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.5.0~),
Replaces: plasma-workspace-data (<< 4:6.5.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: libweather-ion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libweather-ion7 (= ${binary:Version}),
         ${misc:Depends},
Description: weather data from multiple sources - development files
 Library to get online weather data from multiple sources.
 .
 This package contains the development files for the shared library.

Package: libweather-ion7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libplasma5support-data (<< 4:6.5.0~),
Replaces: libplasma5support-data (<< 4:6.5.0~),
Description: weather data from multiple sources
 Library to get online weather data from multiple sources.
 .
 This package contains the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:

## plasma5support 6.5.1+p24.04+vstable+git20251029.0830

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
plasma5support (6.5.1+p24.04+vstable+git20251029.0830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:31:05 +0000

plasma5support (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:19:25 +0000

## plasma5support 6.5.2

=== src/dataengines/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if (TARGET KSysGuard::ProcessCore)
    add_subdirectory(devicenotifications)
endif()
add_subdirectory(favicons)
if (KF6NetworkManagerQt_FOUND)
    add_subdirectory(geolocation)
endif ()
if (PlasmaActivities_FOUND)
    add_subdirectory(activities)
endif ()
add_subdirectory(keystate)
add_subdirectory(hotplug)
add_subdirectory(soliddevice)
add_subdirectory(powermanagement)
add_subdirectory(packagekit)
add_subdirectory(mouse)
add_subdirectory(filebrowser)
add_subdirectory(places)
add_subdirectory(apps)
add_subdirectory(weather)

=== src/dataengines/favicons/CMakeLists.txt ===
set(favicons_engine_SRCS
    favicons.cpp
    faviconprovider.cpp
    favicons.h
    faviconprovider.h
)

kcoreaddons_add_plugin(plasma_engine_favicons SOURCES ${favicons_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_link_libraries(plasma_engine_favicons
    Plasma::Plasma5Support
    KF6::KIOCore
    Qt::Gui
)

=== src/dataengines/soliddevice/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_soliddevice\")

set(soliddevice_engine_SRCS
    soliddeviceengine.cpp
    devicesignalmapper.cpp
    devicesignalmapmanager.cpp
    hddtemp.cpp
    soliddeviceservice.cpp
    soliddevicejob.cpp
    soliddeviceengine.h
    devicesignalmapper.h
    devicesignalmapmanager.h
    hddtemp.h
    soliddeviceservice.h
    soliddevicejob.h
)

kcoreaddons_add_plugin(plasma_engine_soliddevice SOURCES ${soliddevice_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_soliddevice
  Qt::Network
  KF6::I18n
  KF6::KIOCore
  Plasma::Plasma5Support
  KF6::Solid
  KF6::CoreAddons
  KF6::Notifications
)

install(FILES soliddevice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services )

=== src/dataengines/weather/ions/dwd/CMakeLists.txt ===
set(ion_dwd_SRCS ion_dwd.cpp ion_dwd.h)
ecm_qt_declare_logging_category(ion_dwd_SRCS
    HEADER ion_dwddebug.h
    IDENTIFIER IONENGINE_dwd
    CATEGORY_NAME kde.dataengine.ion.dwd
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine ion dwd"
    EXPORT PLASMAWORKSPACE
)
add_library(plasma_engine_dwd MODULE ${ion_dwd_SRCS})
target_link_libraries(plasma_engine_dwd
    weather_ion
    KF6::KIOCore
    KF6::UnitConversion
    KF6::I18n
)

install(TARGETS plasma_engine_dwd DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

=== src/dataengines/weather/ions/envcan/CMakeLists.txt ===
set (ion_envcan_SRCS ion_envcan.cpp ion_envcan.h)
ecm_qt_declare_logging_category(ion_envcan_SRCS
    HEADER ion_envcandebug.h
    IDENTIFIER IONENGINE_ENVCAN
    CATEGORY_NAME kde.dataengine.ion.envcan
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine ion envcan"
    EXPORT PLASMAWORKSPACE
)
add_library(plasma_engine_envcan MODULE ${ion_envcan_SRCS})
target_link_libraries (plasma_engine_envcan
    weather_ion
    KF6::KIOCore
    KF6::UnitConversion
    KF6::I18n
)

install (TARGETS plasma_engine_envcan DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

=== src/dataengines/weather/ions/wetter.com/CMakeLists.txt ===
set(ion_wettercom_SRCS ion_wettercom.cpp ion_wettercom.h)
ecm_qt_declare_logging_category(ion_wettercom_SRCS
    HEADER ion_wettercomdebug.h
    IDENTIFIER IONENGINE_WETTERCOM
    CATEGORY_NAME kde.dataengine.ion.wettercom
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine ion wettercom"
    EXPORT PLASMAWORKSPACE
)
add_library(plasma_engine_wettercom MODULE ${ion_wettercom_SRCS})
target_link_libraries(plasma_engine_wettercom
    weather_ion
    KF6::KIOCore
    KF6::UnitConversion
    KF6::I18n
)

install(TARGETS plasma_engine_wettercom DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

=== debian/changelog ===
plasma5support (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:44 +0000

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6solid-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.1~),
-               libplasmaactivities-dev (>= 6.5.1~),
+               libksysguard-dev (>= 4:6.5.2~),
+               libplasmaactivities-dev (>= 6.5.2~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,

## plasma5support 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/dataengines/packagekit/CMakeLists.txt ===
set(packagekit_engine_SRCS
    packagekitjob.cpp
    packagekitengine.cpp
    packagekitservice.cpp
    packagekitjob.h
    packagekitengine.h
    packagekitservice.h
)

kcoreaddons_add_plugin(plasma_engine_packagekit SOURCES ${packagekit_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_packagekit Plasma::Plasma5Support KF6::CoreAddons Qt::DBus )

install(FILES packagekit.operations
    DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== debian/changelog ===
plasma5support (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:15 +0000

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6solid-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.2~),
-               libplasmaactivities-dev (>= 6.5.2~),
+               libksysguard-dev (>= 4:6.5.3~),
+               libplasmaactivities-dev (>= 6.5.3~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,

## plasma5support 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
plasma5support (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:02 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -23,8 +23,8 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6solid-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.3~),
-               libplasmaactivities-dev (>= 6.5.3~),
+               libksysguard-dev (>= 4:6.5.4~),
+               libplasmaactivities-dev (>= 6.5.4~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
@@ -40,8 +40,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: plasma-workspace (<< 4:6.2.90~),
 Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: Plasma geolocation library
@@ -62,20 +61,6 @@
  .
  This package contains development files for building software that
  uses the Plasma geolocation library.
-
-Package: libplasma5support6
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libplasma5support-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.5.0~),
-Replaces: plasma-workspace (<< 4:6.5.0~),
-Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
- Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
- .
- This package contains the shared library.
 
 Package: libplasma5support-data
 Section: libs
@@ -100,12 +85,25 @@
  .
  This package contains the development files for the shared library.
 
+Package: libplasma5support6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libplasma5support-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: plasma-workspace (<< 4:6.5.0~),
+Replaces: plasma-workspace (<< 4:6.5.0~),
+Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
+ Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
+ .
+ This package contains the shared library.
+
 Package: libweather-ion-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libweather-ion7 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libweather-ion7 (= ${binary:Version}), ${misc:Depends},
 Description: weather data from multiple sources - development files
  Library to get online weather data from multiple sources.
  .
@@ -115,8 +113,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libplasma5support-data (<< 4:6.5.0~),
 Replaces: libplasma5support-data (<< 4:6.5.0~),
 Description: weather data from multiple sources

## plasma5support 6.5.4+p24.04+vstable+git20260101.0120

=== debian/changelog ===
plasma5support (6.5.4+p24.04+vstable+git20260101.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:21:00 +0000

plasma5support (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:35 +1000

plasma5support (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:19 +1000

plasma5support (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:47 +1000

## plasma5support 6.5.4+p24.04+vstable+git20260105.1053

=== debian/changelog ===
plasma5support (6.5.4+p24.04+vstable+git20260105.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:53:35 +0000

## plasma5support 6.5.4+p24.04+vunstable+git20260103.0141

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/dataengines/CMakeLists.txt ===
--- 
+++ 
@@ -25,3 +25,4 @@
 add_subdirectory(places)
 add_subdirectory(apps)
 add_subdirectory(weather)
+add_subdirectory(time)

=== debian/changelog ===
plasma5support (6.5.4+p24.04+vunstable+git20260103.0141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:41:27 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kunitconversion-dev,
               kf6-kxmlgui-dev,
               kf6-networkmanager-qt-dev,
               libksysguard-dev,
               libplasma-dev,
               libxfixes-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma5support.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma5support
Maintainer: Neon CI <neon@kde.org>

Package: plasma5support
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:6.5.4)
Replaces: kf6-plasma5support, plasma-workspace (<= 4:6.5.4)
Description: Migration aids for KF5 -> KF6 migration contains:
 Dataengine support is not in the kf6 version of plasma anymore. Dataengines
 should be migrated to QML imports, but in the meantime remaining engines can
 use the dataengine implementation here

Package: plasma5support-dev
Architecture: any
X-Neon-MergedPackage: true
Section: libdevel
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kservice-dev,
         libxfixes-dev,
         plasma5support (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: plasma-workspace-dev (<= 4:6.5.4)
Replaces: kf6-plasma5support-dev, plasma-workspace-dev (<= 4:6.5.4)
Description: development files for the migration aids for KF5 -> KF6 migration.
 Contains development files for libplasma5support.

Package: kf6-plasma5support
Architecture: all
Depends: plasma5support, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma5support-dev
Architecture: all
Depends: plasma5support-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## plasma5support 6.5.4+p24.04+vunstable+git20260107.1247

=== debian/changelog ===
plasma5support (6.5.4+p24.04+vunstable+git20260107.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 12:47:56 +0000
